org.wildfly.swarm.config.jgroups.stack.relay

## Class RELAY2<T extends RELAY2<T>>

- java.lang.Object
- - org.wildfly.swarm.config.jgroups.stack.relay.RELAY2<T>

-     public class RELAY2<T extends RELAY2<T>>
      extends Object

  The configuration of a RELAY protocol

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RELAY2.RELAY2Resources` Child mutators for RELAY2

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RELAY2()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `String` | `module()` The module with which to resolve the protocol type.
    `T` | `module(String value)` The module with which to resolve the protocol type.
    `Map` | `properties()` The properties of this protocol.
    `T` | `properties(Map value)` The properties of this protocol.
    `T` | `property(String key, Object value)` The properties of this protocol.
    `T` | `remoteSite(RemoteSite value)` Add the RemoteSite object to the list of subresources
    `T` | `remoteSite(RemoteSiteSupplier supplier)` Install a supplied RemoteSite object to the list of subresources
    `T` | `remoteSite(String childKey)` Create and configure a RemoteSite object to the list of subresources
    `T` | `remoteSite(String childKey, RemoteSiteConsumer consumer)` Create and configure a RemoteSite object to the list of subresources
    `T` | `remoteSites(List<RemoteSite> value)` Add all RemoteSite objects to this subresource
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `String` | `site()` The name of the local site.
    `T` | `site(String value)` The name of the local site.
    `Boolean` | `statisticsEnabled()` Indicates whether or not this protocol will collect statistics overriding stack configuration.
    `T` | `statisticsEnabled(Boolean value)` Indicates whether or not this protocol will collect statistics overriding stack configuration.
    `RELAY2.RELAY2Resources` | `subresources()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RELAY2

          public RELAY2()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public RELAY2.RELAY2Resources subresources()

    - #### remoteSites

          public T remoteSites(List<RemoteSite> value)

      Add all RemoteSite objects to this subresource
      Parameters:
        `value` - List of RemoteSite objects.
      Returns:
        this

    - #### remoteSite

          public T remoteSite(RemoteSite value)

      Add the RemoteSite object to the list of subresources
      Parameters:
        `value` - The RemoteSite to add
      Returns:
        this

    - #### remoteSite

          public T remoteSite(String childKey,
                              RemoteSiteConsumer consumer)

      Create and configure a RemoteSite object to the list of subresources
      Parameters:
        `key` - The key for the RemoteSite resource
        `config` - The RemoteSiteConsumer to use
      Returns:
        this

    - #### remoteSite

          public T remoteSite(String childKey)

      Create and configure a RemoteSite object to the list of subresources
      Parameters:
        `key` - The key for the RemoteSite resource
      Returns:
        this

    - #### remoteSite

          public T remoteSite(RemoteSiteSupplier supplier)

      Install a supplied RemoteSite object to the list of subresources

    - #### module

          public String module()

      The module with which to resolve the protocol type.

    - #### module

          public T module(String value)

      The module with which to resolve the protocol type.

    - #### properties

          public Map properties()

      The properties of this protocol.

    - #### properties

          public T properties(Map value)

      The properties of this protocol.

    - #### property

          public T property(String key,
                            Object value)

      The properties of this protocol.

    - #### site

          public String site()

      The name of the local site.

    - #### site

          public T site(String value)

      The name of the local site.

    - #### statisticsEnabled

          public Boolean statisticsEnabled()

      Indicates whether or not this protocol will collect statistics overriding stack configuration.

    - #### statisticsEnabled

          public T statisticsEnabled(Boolean value)

      Indicates whether or not this protocol will collect statistics overriding stack configuration.

Copyright © 2017 JBoss by Red Hat. All rights reserved.